| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::cudacodec::EncoderParams Struct Reference
CUDA-accelerated Computer Vision » Video Encoding/Decoding

Different parameters for CUDA video encoder. More...

`#include <opencv2/cudacodec.hpp>`

Collaboration diagram for cv::cudacodec::EncoderParams:

## Public Member Functions
| EncoderParams ()

## Public Attributes
int | averageBitRate
| target bitrate for ENC_PARAMS_RC_VBR and ENC_PARAMS_RC_CBR.
EncodeQp | constQp
| QP's for ENC_PARAMS_RC_CONSTQP.
EncodeProfile | encodingProfile
int | gopLength
| the number of pictures in one GOP, ensuring idrPeriod >= gopLength.
int | idrPeriod
| IDR interval, ensuring idrPeriod >= gopLength.
int | maxBitRate
| upper bound on bitrate for ENC_PARAMS_RC_VBR and ENC_PARAMS_RC_CONSTQP.
EncodeMultiPass | multiPassEncoding
EncodePreset | nvPreset
EncodeParamsRcMode | rateControlMode
uint8_t | targetQuality
| value 0 - 51 where video quality decreases as targetQuality increases, used with ENC_PARAMS_RC_VBR.
EncodeTuningInfo | tuningInfo

## Detailed Description

Different parameters for CUDA video encoder.

## Constructor & Destructor Documentation

## ◆ EncoderParams()

cv::cudacodec::EncoderParams::EncoderParams | ( |  | ) |
| inline

## Member Data Documentation

## ◆ averageBitRate

int cv::cudacodec::EncoderParams::averageBitRate

target bitrate for ENC_PARAMS_RC_VBR and ENC_PARAMS_RC_CBR.

## ◆ constQp

EncodeQp cv::cudacodec::EncoderParams::constQp

QP's for ENC_PARAMS_RC_CONSTQP.

## ◆ encodingProfile

EncodeProfile cv::cudacodec::EncoderParams::encodingProfile

## ◆ gopLength

int cv::cudacodec::EncoderParams::gopLength

the number of pictures in one GOP, ensuring idrPeriod >= gopLength.

## ◆ idrPeriod

int cv::cudacodec::EncoderParams::idrPeriod

IDR interval, ensuring idrPeriod >= gopLength.

## ◆ maxBitRate

int cv::cudacodec::EncoderParams::maxBitRate

upper bound on bitrate for ENC_PARAMS_RC_VBR and ENC_PARAMS_RC_CONSTQP.

## ◆ multiPassEncoding

EncodeMultiPass cv::cudacodec::EncoderParams::multiPassEncoding

## ◆ nvPreset

EncodePreset cv::cudacodec::EncoderParams::nvPreset

## ◆ rateControlMode

EncodeParamsRcMode cv::cudacodec::EncoderParams::rateControlMode

## ◆ targetQuality

uint8_t cv::cudacodec::EncoderParams::targetQuality

value 0 - 51 where video quality decreases as targetQuality increases, used with ENC_PARAMS_RC_VBR.

## ◆ tuningInfo

EncodeTuningInfo cv::cudacodec::EncoderParams::tuningInfo

The documentation for this struct was generated from the following file:

- opencv2/cudacodec.hpp